// MIXINS, VARIABLES & EXTENDS:

@import "../styles/assets";

// MASTHEAD:

#masthead {
  @include flex-shrink(0);
  @include flexbox();
  @include flex-wrap(wrap);
  @include justify-content(center);
  padding: 40px 0;

  :global(#name),
  :global(#occupation),
  :global(#contact) {
    text-align: center;
  }

  :global(#name),
  :global(#occupation) {
    @include flex-basis(auto);
    font-size: 3rem;
    padding: 0 8px;
  }

  :global(#name) {
    a {
      color: $color-green;
      text-decoration: none;
      &:hover {
        text-decoration: underline;
      }
    }
  }

  :global(#contact) {
    @include flex-basis(100%);
    padding-top: 10px;
    font-size: 2rem;
    a {
      color: inherit;
      text-decoration: none;
      &:hover {
        text-decoration: underline;
      }
    }
  }

  // RESPONSIVENESS RULES:

  @media only screen and (max-width: $medium-max-width) {
    :global(#name),
    :global(#occupation) {
      font-size: 2.4rem;
    }
    :global(#contact) {
      font-size: 1.5rem;
    }
  }

  @media only screen and (max-width: $small-max-width) {
    padding: 30px 0;
    :global(#name),
    :global(#occupation) {
      font-size: 1.8rem;
      padding: 0;
    }
    :global(#contact) {
      font-size: 1rem;
    }
  }
}
